Export (0) Print
Expand All

Installing UCMA 4.0 SDK

Last modified: August 16, 2013

Applies to: Lync 2013 | Lync Server 2013

This topic describes the steps needed for installing Microsoft Unified Communications Managed API 4.0 SDK, which is required when an application built from Microsoft Unified Communications Managed API 4.0 is developed.

For information on uninstalling this SDK, see Uninstalling UCMA 4.0 SDK.

To install UCMA 4.0 SDK

  1. Download UcmaSdkSetup.exe.

  2. Launch UcmaSdkSetup.exe and follow the instructions on the screens that are displayed to accept the EULA and choose an installation location.

    By default, Microsoft Unified Communications Managed API 4.0 SDK is installed in the %ProgramFiles%\Microsoft UCMA 4.0 directory.

  3. Follow the instructions on the screen to complete the installation.

UcmaSdkSetup.exe also installs Microsoft Unified Communications Managed API 4.0 Runtime, (UcmaRuntimeSetup.exe). For more information, see UCMA 4.0 Runtime.

The following prerequisite components are installed if they are not already present:

  • Microsoft Speech Voice Xml SDK (x64) v11.0

  • Microsoft Lync Server 2013, Bootstrapper Prerequisites Installer Package

  • Microsoft Speech Platform VXML Runtime (x64)

  • Microsoft Lync Server 2013, Core Components

  • Microsoft Server Speech Text To Speech Voice (en-US, Helen)

  • Microsoft Server Speech Recognition Language – TELE (en-US)

  • Microsoft Speech Platform SDK (x64) v11.0

  • Microsoft Server Speech Platform Runtime (x64)

  • Microsoft Visual C++ 2012 Redistributable (x64) 11.0.50727

  • Microsoft Unified Communications Managed API 4.0, Runtime

  • Microsoft Unified Communications Managed API 4.0, SDK

Show:
© 2014 Microsoft